=== debian/changelog ===
libzypp (17.31.20-1build1) mantic; urgency=medium

  * Rebuild against new libyaml-cpp0.8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Sep 2023 07:19:28 +0200

libzypp (17.31.20-1) unstable; urgency=medium

  * New upstream release 17.31.20

 -- Luca Boccassi <bluca@debian.org>  Sun, 27 Aug 2023 01:48:46 +0100

libzypp (17.31.17-1) unstable; urgency=medium

  * New upstream release 17.31.17-1

 -- Luca Boccassi <bluca@debian.org>  Mon, 31 Jul 2023 21:10:25 +0100

libzypp (17.31.16-1) unstable; urgency=medium

  * New upstream release 17.31.16
  * Install new static libs in -dev package

 -- Luca Boccassi <bluca@debian.org>  Wed, 26 Jul 2023 23:07:13 +0100

libzypp (17.31.15-1) unstable; urgency=medium

  * New upstream release 17.31.15
  * Drop 1003_various-typo-fixes.patch, fixed or obsolete
  * Drop 0001-Add-missing-includes-for-GCC-11-bsc-1181874.patch, applied
    upstream
  * Drop 0001-Fix-building-with-GCC-12.x-release.patch, applied upstream
  * Refresh patches for new upstream release 17.31.15
  * Bump Standards-Version to 4.6.2, no changes
  * Add new build dependency on protobuf
  * Install new header files
  * Install new zypp-rpm binary
  * Bump dependency on libsolv to 0.7.24
  * Add myself as uploader

 -- Luca Boccassi <bluca@debian.org>  Thu, 06 Jul 2023 11:11:32 +0100

libzypp (17.25.7-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to missing #include. (Closes: #1028680)

 -- Adrian Bunk <bunk@debian.org>  Sat, 25 Feb 2023 22:30:40 +0200

libzypp (17.25.7-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * 1010_gpgme-pkg_search_module.diff: Fix FTBFS against libgpgme-dev >=
    1.18.0-2 by using pkg_search_module(). Closes: #1024577

 -- Andreas Metzler <ametzler@debian.org>  Thu, 08 Dec 2022 12:07:05 +0100

libzypp (17.25.7-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with gcc 12. (Closes: #1016279)

 -- Adrian Bunk <bunk@debian.org>  Thu, 06 Oct 2022 23:17:51 +0300

libzypp (17.25.7-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with gcc 11. (Closes: #984214)

 -- Adrian Bunk <bunk@debian.org>  Thu, 09 Dec 2021 19:34:44 +0200

libzypp (17.25.7-2) unstable; urgency=medium

  * debian/watch:
    + Fix Github watch URL.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Apr 2021 14:26:29 +0200
