## libzypp 17.31.28

=== debian/changelog ===
libzypp (17.31.28-1) unstable; urgency=medium

  * Move package to pkg-rpm-team
  * Update upstream source from tag 'upstream/17.31.28'
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Sat, 13 Jan 2024 12:01:01 +0000

libzypp (17.31.27-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.31.27'
    (Closes: #1058996)
  * Add build dependency on vsftpd

 -- Luca Boccassi <bluca@debian.org>  Tue, 26 Dec 2023 18:17:14 +0100

libzypp (17.31.25-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.31.25'

 -- Luca Boccassi <bluca@debian.org>  Mon, 18 Dec 2023 19:00:50 +0100

libzypp (17.31.23-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.31.23'

 -- Luca Boccassi <bluca@debian.org>  Thu, 26 Oct 2023 15:19:54 +0100

libzypp (17.31.22-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.31.22'
  * Drop 1010_gpgme-pkg_search_module.diff and RpmHeader-include.patch,
    merged upstream

 -- Luca Boccassi <bluca@debian.org>  Sat, 14 Oct 2023 10:49:12 +0100

libzypp (17.31.21-2) unstable; urgency=medium

  * Merge tag '17.31.21' into debian/sid
  * Switch to git-buildpackage workflow
  * Switch to debhelper
  * Disable flaky tests (Closes: #1053289)
  * Fix build without 'all' packages
  * Override Lintian error about documentation

 -- Luca Boccassi <bluca@debian.org>  Sun, 01 Oct 2023 22:00:33 +0100

libzypp (17.31.21-1) unstable; urgency=medium

  * Mark libzypp-common as MA: foreign
  * d/copyright: use common stanzas for same license and wildcards
  * d/copyright: update upstream-contact to project mailing list
  * New upstream release 17.31.21

 -- Luca Boccassi <bluca@debian.org>  Sat, 30 Sep 2023 14:03:06 +0100
