=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: libzypp
 Section: libs
-Maintainer: Mike Gabriel <sunweaver@debian.org>
-Uploaders: Luca Boccassi <bluca@debian.org>
+Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
+Uploaders: Luca Boccassi <bluca@debian.org>,
+           Mike Gabriel <sunweaver@debian.org>,
 Priority: optional
 Standards-Version: 4.6.2
 Build-Depends: asciidoctor,
-               debhelper (>= 10~),
+               debhelper-compat (= 13),
+               dh-exec,
                dpkg-dev (>= 1.16.1.1~),
-               cdbs,
                cmake,
                pkg-config,
                librpm-dev (>= 4.4),
@@ -38,10 +39,11 @@
                gnupg2,
                dejagnu,
                nginx,
+               vsftpd,
 Rules-Requires-Root: no
 Homepage: https://github.com/openSUSE/libzypp
-Vcs-Git: https://salsa.debian.org/debian/libzypp.git
-Vcs-Browser: https://salsa.debian.org/debian/libzypp
+Vcs-Git: https://salsa.debian.org/pkg-rpm-team/libzypp.git
+Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/libzypp
 
 Package: libzypp1722
 Architecture: any
@@ -133,6 +135,7 @@
 
 Package: libzypp-common
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
 Description: openSUSE/SLES package management system library (common files)
